var webpack = require('webpack');
var pkg = require('./package.json');
var env = process.env.WEBPACK_ENV;
var name = 'grapes';
var plugins = [];

if(env !== 'dev') {
  plugins = [
    new webpack.optimize.ModuleConcatenationPlugin(),
    new webpack.optimize.UglifyJsPlugin({
      minimize: true,
      compressor: {warnings: false},
    }),
    new webpack.BannerPlugin(pkg.name + ' - ' + pkg.version),
  ]
}

plugins.push(new webpack.ProvidePlugin({_: 'underscore'}));

module.exports = {
  entry: './src',
  output: {
      filename: './dist/' + name + '.min.js',
      library: 'grapesjs',
      libraryTarget: 'umd',
  },
  externals: {
    jquery: {
      commonjs2: 'jquery',
      commonjs: 'jquery',
      amd: 'jquery',
      root: 'jQuery'
    }
  },
  plugins: plugins,
  module: {
    loaders: [{
        test: /\.js$/,
        loader: 'babel-loader',
        include: /src/,
        exclude: /node_modules/
    }],
  },
  resolve: {
    modules: ['src', 'node_modules'],
  },
}
